GBX3(1)

NAME
gbx3 - GAMBAS Interpreter

SYNOPSIS
gbx3 [options] [<project directory>] [-- <arguments>]
gbx3 -e <expression>

DESCRIPTION
Gambas is a free development environment based on a Basic interpreter with object extensions, a mix of Java(tm) and Visual Basic(tm). With Gambas, you can quickly design your program GUI with Qt or GTK+, access database systems like MySQL, PostgreSQL, SQlite or ODBC databases, pilot applications with DBus, translate your program into many languages, create GStreamer, OpenGL or SDL applications, and so on... gbx3 is the interpreter that allows you to execute a Gambas project or evaluate a Gambas expression (-e option).

OPTIONS

-a <path>
    override application path

-e  evaluate an expression

-g  enter debugging mode

-h, --help
    display help and exit

-H, --httpd
    run through an embedded http server

-j  disable just-in-time compiler

-k  do not unload shared libraries

-L, --license
    display license

-p <path>
    activate profiling and debugging mode

-r <path>
    redirect standard error output

-s <class>
    override startup class

-t, --trace
    dump the position of each executed line of code

-T  list all test modules

-T <tests>
    run the specified test modules

-V, --version
    display version

ENVIRONMENT VARIABLES

GB_DB_DEBUG
    Set to "1" to enable database component debugging.

GB_GUI
    Define the GUI component that will be loaded by the 'gb.gui*' component family.

GB_GUI_DARK_THEME
    Set to "1" to force dark theme behaviour.

GB_GUI_PLATFORM
    Define the graphic platform used by the GUI components. It can be "x11" or "wayland".

GB_HTTPD_DEBUG
    Set to "1" to enable embedded web server debugging mode.

GB_HTTPD_HOST
    Define the host name used by the embedded web server.

GB_HTTPD_PORT
    Define the port used by the embedded web server.

GB_HTTPD_TIMEOUT
    Define the request timeout of the embedded web server.

GB_JIT_CACHE
    Set to "0" to use the old compilation process that does not use any caching.

GB_JIT_CC
    Define the compiler used by the just-in-time component. "gcc" or "clang" are supported at the moment.

GB_JIT_CFLAGS
    Define the compilation flags used for generating just-in-time code.

GB_JIT_DEBUG
    Set to "1" to enable just-in-time compiler debugging.

GB_JIT_ENABLED
    Set to "0" to disable the just-in-time compiler.

GB_JIT_FORCE
    Set to "1" to ignore the cache and force a new compilation of just-in-time code.

GB_JIT_TRACE
    Set to "1" to display each line executed by the just-in-time compiled code.

GB_MEDIA_DEBUG
    Set to "1" to enable 'gb.media' component debugging.

GB_NO_JIT
    Set to "1" to disable the just-in-time compiler.

GB_REVERSE
    Set to "1" to reverse language direction.

GB_STOCK_DEBUG
    Set to "1" to enable icon theme debugging.

GB_WEB_GUI_DEBUG
    Set to "1" to enable 'gb.web.gui' component debugging.

AVAILABILITY
The Gambas website is at: https://gambaswiki.org/website/ The Gambas source code is available at: https://gitlab.com/gambas/gambas/ The documentation about the language is at: https://gambaswiki.org/wiki

REPORTING BUGS
Report bugs to http://gambaswiki.org/bugtracker

COPYRIGHT
Copyright© Benoît Minisini <benoit.minisini@gambas-basic.org>;

This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.